http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/Updates the settings for an intent.
The unique identifier of the intent to update.
The identifier of the bot that contains the intent.
The version of the bot that contains the intent. Must be <code>DRAFT</code>.
The identifier of the language and locale where this intent is used. The string must match one of the supported locales. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
The new name for the intent.
The new description of the intent.
A new list of contexts that must be active in order for Amazon Lex to consider the intent.
Settings that determine the Lambda function that Amazon Lex uses for processing user responses.
A new list of contexts that Amazon Lex activates when the intent is fulfilled.
A new list of slots and their priorities that are contained by the intent.
New utterances used to invoke the intent.
Determines if a Lambda function should be invoked for a specific intent.
Provides configuration information for the AMAZON.KendraSearchIntent intent. When you use this intent, Amazon Lex searches the specified Amazon Kendra index and returns documents from the index that match the user's utterance.
Provides a statement the Amazon Lex conveys to the user when the intent is successfully fulfilled.
The signature of the new built-in intent to use as the parent of this intent.
Configuration setting for a response sent to the user before Amazon Lex starts eliciting slots.
Provides a prompt for making sure that the user is ready for the intent to be fulfilled.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/Updates the settings for an intent.
The unique identifier of the intent to update.
The identifier of the bot that contains the intent.
The version of the bot that contains the intent. Must be <code>DRAFT</code>.
The identifier of the language and locale where this intent is used. The string must match one of the supported locales. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
The new name for the intent.
The new description of the intent.
A new list of contexts that must be active in order for Amazon Lex to consider the intent.
Settings that determine the Lambda function that Amazon Lex uses for processing user responses.
A new list of contexts that Amazon Lex activates when the intent is fulfilled.
A new list of slots and their priorities that are contained by the intent.
New utterances used to invoke the intent.
Determines if a Lambda function should be invoked for a specific intent.
Provides configuration information for the AMAZON.KendraSearchIntent intent. When you use this intent, Amazon Lex searches the specified Amazon Kendra index and returns documents from the index that match the user's utterance.
Provides a statement the Amazon Lex conveys to the user when the intent is successfully fulfilled.
The signature of the new built-in intent to use as the parent of this intent.
Configuration setting for a response sent to the user before Amazon Lex starts eliciting slots.
Provides a prompt for making sure that the user is ready for the intent to be fulfilled.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}